package daoSample;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

/**
 * DAÕt@Ng[NX
 */
public class DaoFactory {
	
	/**
	 * ItemDao𐶐܂B
	 * @return ItemDao
	 */
	public static ItemDao createItemDao() {
		return new JdbcItemDao(getDataSource());
	}

	/**
	 * DataSource擾܂B
	 * @throws DataAccessException
	 */
	private static DataSource getDataSource() {
		InitialContext initCon = null;
		DataSource ds = null;
		try {
			initCon = new InitialContext( );
			ds = (DataSource)initCon.lookup("java:comp/env/jdbc/HSQLDB");

		} catch (NamingException e) {
			e.printStackTrace();
			if (initCon != null) {
				try {
					initCon.close();
				} catch (NamingException ex) {
					ex.printStackTrace();
					throw new DataAccessException();
				}
			}
			
			throw new DataAccessException();
		}
		
		return ds;
	}
}
