package daoSample.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import daoSample.Item;
import daoSample.form.SelectForm;
import daoSample.service.WarehouseLogic;

public class SelectAction extends Action {

	public ActionForward execute(ActionMapping mapping, ActionForm form,
		HttpServletRequest request, HttpServletResponse response) throws Exception {
		WarehouseLogic logic = new WarehouseLogic();
		Item[] items = logic.selectByCategory(((SelectForm)form).getCategory());
		request.setAttribute("items", items);
		return mapping.findForward("success");
	}
}
