package example.plugin;

import java.util.ResourceBundle;

/**
 * FilePluginNXB
 */
public class FilePluginFactory {
	/** B̃CX^X */
	private static FilePluginFactory instance = new FilePluginFactory();
	/** vpeBt@Cǂݍ */
	private ResourceBundle resource = ResourceBundle.getBundle("plugin");
	/**
	 * RXgN^iCX^X֎~j
	 */
	private FilePluginFactory() {}
	/** 
	 * CX^X̎擾
	 */
	public static FilePluginFactory getInstance() {
		return instance;
	}
	/**
	 * t@CɃvOC̎擾܂B
	 */
	public FilePlugin getPlugin(String filename) {
		try {
			String className = resource.getString(filename);
			Class c = Class.forName(className);
			return (FilePlugin) c.newInstance();
		} catch (Exception e) {
			throw new FilePluginFactoryRuntimeException(e);
		}
	}
}