package example.servlet;

import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.fileupload.FileItem;

import example.dao.ImageDao;
import example.dao.InfoDao;
import example.util.UploadUtil;

/**
 * t@CAbv[hServlet2
 * i[eBeBNX̓Kpj
 */
public class FileUploadServlet2 extends HttpServlet {
	/** t@CTCY̏ */
	private static final int MAX_FILE_SIZE = 1000000;
	protected void doPost(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException {
		// }`p[gf[^擾
		List fileItems = UploadUtil.parseRequest(req, MAX_FILE_SIZE);

		// iR[h̎擾
		String itemCode = UploadUtil.getParameter(fileItems, "code");

		// Abv[hꂽt@C̏
		FileItem item = UploadUtil.getFileItem(fileItems, "file");
		String filename = item.getName();
		byte[] data = item.get();

		// t@C摜ꍇ
		if ("item.jpg".equals(filename)) {
			ImageDao dao = new ImageDao();
			dao.update(itemCode, filename, data);
		// t@Cinfo.txtꍇ
		} else if ("info.txt".equals(filename)) {
			InfoDao dao = new InfoDao();
			String info = new String(data, "Windows-31J");
			dao.update(itemCode, info);
		}
		
		res.getWriter().write("OK!");

	}
}