package example.servlet;

import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.fileupload.FileItem;

import example.plugin.FilePlugin;
import example.plugin.impl.ImageFilePlugin;
import example.plugin.impl.InfoFilePlugin;
import example.util.UploadUtil;

/**
 * t@CAbv[hServlet2
 * i[eBeBNX̓Kpj
 */
public class FileUploadServlet3 extends HttpServlet {
	/** t@CTCY̏ */
	private static final int MAX_FILE_SIZE = 1000000;
	protected void doPost(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException {
		// }`p[gf[^擾
		List fileItems = UploadUtil.parseRequest(req, MAX_FILE_SIZE);

		// iR[h̎擾
		String itemCode = UploadUtil.getParameter(fileItems, "code");

		// Abv[hꂽt@C̏
		FileItem item = UploadUtil.getFileItem(fileItems, "file");
		String filename = item.getName();
		byte[] data = item.get();

		// t@C摜ꍇ
		FilePlugin plugin = null;
		if ("item.jpg".equals(filename)) {
			plugin = new ImageFilePlugin();
		// t@Cinfo.txtꍇ
		} else if ("info.txt".equals(filename)) {
			plugin = new InfoFilePlugin();
		}
		plugin.execute(itemCode, filename, data);
		
		res.getWriter().write("OK!");

	}
}