package example.servlet;

import java.io.File;
import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.fileupload.FileItem;

import example.plugin.FilePlugin;
import example.plugin.FilePluginFactory;
import example.util.UploadUtil;

/**
 * t@CAbv[hServlet4
 * it@Ng̎gpj
 */
public class FileUploadServlet4 extends HttpServlet {
	/** t@CTCY̏ */
	private static final int MAX_FILE_SIZE = 1000000;
	protected void doPost(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException {
		// }`p[gf[^擾
		List fileItems = UploadUtil.parseRequest(req, MAX_FILE_SIZE);

		// iR[h̎擾
		String itemCode = UploadUtil.getParameter(fileItems, "code");

		// Abv[hꂽt@C̏
		FileItem item = UploadUtil.getFileItem(fileItems, "file");
		String filename = item.getName();
		filename = item.getName().substring(item.getName().lastIndexOf(File.separator) + 1);
		byte[] data = item.get();

		// t@NgŃt@CvOC𐶐
		FilePluginFactory factory = FilePluginFactory.getInstance();
		FilePlugin plugin = factory.getPlugin(filename);
		plugin.execute(itemCode, filename, data);
		
		res.getWriter().write("OK!");
	}
}