package facade2;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import exception.ClassNotFoundRuntimeException;
import exception.SQLRuntimeException;

/**
 * SQL[eBeBNX
 */
public class SqlUtil {
	/** O */
	private static Log log = LogFactory.getLog(SqlUtil.class);
	/**
	 * Connection̎擾Ȃ܂B
	 * @return RlNV
	 */
	public static Connection createConnection() {
		try {
			// RlNV̎擾
			Class.forName("org.hsqldb.jdbcDriver");
			return DriverManager.getConnection(
				"sa", "", "jdbc:hsqldb:hsql://localhost");
		} catch (ClassNotFoundException e) {
			log.error(e.getMessage(), e);
			throw new ClassNotFoundRuntimeException(e);
		} catch (SQLException e) {
			log.error(e.getMessage(), e);
			throw new SQLRuntimeException(e);
		}
	}
	/**
	 * PreparedStatement̃N[YȂ܂B
	 */
	public static void close(PreparedStatement st) {
		try {
			if (st != null) { st.close(); }
		} catch (SQLException e) {
			log.error(e.getMessage(), e);
			throw new SQLRuntimeException(e);
		}
	}
	/**
	 * ConnectioñN[YȂ܂B
	 */
	public static void close(Connection conn) {
		try {
			if (conn != null) { conn.close(); }
		} catch (SQLException e) {
			log.error(e.getMessage(), e);
			throw new SQLRuntimeException(e);
		}
	}
	/**
	 * ConnectioñR~bgȂ܂B
	 */
	public static void commit(Connection conn) {
		try {
			if (conn != null) { conn.commit(); }
		} catch (SQLException e) {
			log.error(e.getMessage(), e);
			throw new SQLRuntimeException(e);
		}
	}
}
