package daoSample.service;

import daoSample.DaoFactory;
import daoSample.Item;
import daoSample.ItemDao;

/**
 * qɂ̏NXłB
 */
public class WarehouseLogic {
	
	/** f[^ANZXIuWFNg */
	private ItemDao dao = DaoFactory.createItemDao();

	/**
	 * io^܂B
	 * @param goods
	 */
	public void regist(Item goods) {
			dao.insert(goods);
	}

	/**
	 * JeS[Ɋ֘A鏤i擾܂B
	 * @param category
	 * @return Item[]
	 */
	public Item[] selectByCategory(String category) {
		return dao.selectByCategory(category);
	}
	
	/**
	 * IDwŁAi폜܂B<br>
	 * ܂A폜ĩJeSɊ֘A鏤i擾܂B
	 * @param id
	 * @return@Item[]
	 */
	public Item[] delete(int id) {
		Item item = dao.selectById(id);
		dao.delete(id);
		return selectByCategory(item.getCategory());
	}
	
	/**
	 * iXV܂B<br>
	 * ܂AXVĩJeSɊ֘A鏤i擾܂B
	 * @param item
	 * @return@Item[]
	 */
	public Item[] update(Item item) {
		dao.update(item);
		return selectByCategory(item.getCategory());
	}
}
