package example.plugin;

import java.util.HashMap;
import java.util.Map;
import java.util.ResourceBundle;

/**
 * FilePluginNXB
 */
public class FilePluginFactory2 {
	/** B̃CX^X */
	private static FilePluginFactory2 instance = new FilePluginFactory2();
	
	/** vpeBt@Cǂݍ */
	private ResourceBundle resource = ResourceBundle.getBundle("plugin");
	
	/** vOC̃LbV */
	private Map cache = new HashMap();

	/**
	 * RXgN^iCX^X֎~j
	 */
	private FilePluginFactory2() {}
	/** 
	 * CX^X̎擾
	 */
	public static FilePluginFactory2 getInstance() {
		return instance;
	}
	/**
	 * t@CɃvOC̎擾܂B
	 */
	public synchronized FilePlugin getPlugin(String filename) {
		if (!cache.containsKey(filename)) {
			// vOCLbVɑ݂ȂA
			// ăt@CL[ɃLbVɓo^
			FilePlugin plugin = createPlugin(filename);
			cache.put(filename, plugin);
		}
		return (FilePlugin) cache.get(filename);
	}
	/**
	 * t@CɃvOC𐶐܂
	 */
	public FilePlugin createPlugin(String filename) {
		try {
			String className = resource.getString(filename);
			Class c = Class.forName(className);
			return (FilePlugin) c.newInstance();
		} catch (Exception e) {
			throw new FilePluginFactoryRuntimeException(e);
		}
	}
}