package example.plugin.impl;

import java.io.IOException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import example.dao.InfoDao;
import example.plugin.FilePlugin;
import exception.IORuntimeException;

/**
 * i̐t@CvOC
 */
public class InfoFilePlugin implements FilePlugin {
	/** O */
	private static final Log log = LogFactory.getLog(InfoFilePlugin.class);
	
	/**  */
	public void execute(String itemCode, String filename, byte[] data) {
		try {
			InfoDao dao = new InfoDao();
			String info = new String(data, "Windows-31J");
			dao.update(itemCode, info);
			System.out.println("o^ : " + info);
		} catch (IOException e) {
			log.error(e.getMessage(), e);
			throw new IORuntimeException(e);
		}
	}
}
