package facade2;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import exception.SQLRuntimeException;
import facade.Book;

/**:
 * Ѓf[^f[^ANZXIuWFNg
 */
public class BookDao {
	/** O */
	private static Log log = LogFactory.getLog(BookDao.class);
	/** RlNV */
	Connection conn;
	/**
	 * RXgN^
	 */
	public BookDao() {
		conn = SqlUtil.createConnection();
	}
	/**
	 * XVȂ܂B
	 * @param book Ѓf[^
	 * @return XV
	 */
	public int update(Book book) {
		// XV
		PreparedStatement st = null;
		try {
			st = conn.prepareStatement(
			"update tbl_book set title=?,price=? where id=?");
			st.setString(1, book.getTitle());
			st.setInt(2, book.getPrice());
			st.setInt(3, book.getId());
			return st.executeUpdate();
		} catch (SQLException e) {
			log.error(e.getMessage(), e);
			throw new SQLRuntimeException(e);
		} finally {
			SqlUtil.close(st);
		}
	}
	/**
	 * }Ȃ܂B
	 * @param book Ѓf[^
	 * @return XV
	 */
	public int insert(Book book) {
		// XV
		PreparedStatement st = null;
		try {
			st = conn.prepareStatement(
				"insert into tbl_book(id,title,priace) " +
				"values(?,?,?)");
			st.setInt(1, book.getId());
			st.setString(2, book.getTitle());
			st.setInt(3, book.getPrice());
			return st.executeUpdate();
		} catch (SQLException e) {
			log.error(e.getMessage(), e);
			throw new SQLRuntimeException(e);
		} finally {
			SqlUtil.close(st);
		}
	}
	/**
	 * ConnectionR~bg܂B
	 */
	public void commit() {
		SqlUtil.commit(conn);
	}

}
