package runtimeexception;

import java.io.IOException;
import java.sql.Connection;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class ServletA extends HttpServlet {
	Log log = LogFactory.getLog(ServletA.class);
	protected void doGet(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException {
		try {
			LogicA logic = new LogicA();
			logic.execute();
		} catch (ApplicationException e) {
			log.error(e.getMessage(), e);
			// G[ʂ
		}
	}	
}

class LogicA {
	void execute() throws ApplicationException {
		try {
			DaoA dao = new DaoA();
			dao.update();
		} catch (SQLException e) {
			// Ől߂ȂI
			throw new ApplicationException(e);
		}
	}
}

class DaoA {
	Connection conn;
	void update() throws SQLException {
		// SQLException̔̉\I
		conn.createStatement();
		
	}
}

class ApplicationException extends Exception {
	public ApplicationException(Throwable t) {
		super(t);
	}
}